Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.cos
Class COSName

    java.lang.Object
      org.pdfbox.cos.COSBase
          org.pdfbox.cos.COSName

All Implemented Interfaces:
  Comparable, COSObjectable

public final class COSName
extends COSBase
implements Comparable

This class represents a PDF named object.

Version:
  $Revision: 1.42 $
Author:
  Ben Litchfield

Field Summary
`static COSName` | `A` A common COSName value.
`static COSName` | `AA` A common COSName value.
`static COSName` | `ACRO_FORM` A common COSName value.
`static COSName` | `ANNOTS` A common COSName value.
`static COSName` | `AP` A common COSName value.
`static COSName` | `ART_BOX` A common COSName value.
`static COSName` | `ASCII_HEX_DECODE` A common COSName value.
`static COSName` | `ASCII_HEX_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `ASCII85_DECODE` A common COSName value.
`static COSName` | `ASCII85_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `B` A common COSName value.
`static COSName` | `BASE_ENCODING` A common COSName value.
`static COSName` | `BASE_FONT` A common COSName value.
`static COSName` | `BBOX` A common COSName value.
`static COSName` | `BLEED_BOX` A common COSName value.
`static COSName` | `CALGRAY` A common COSName value.
`static COSName` | `CALRGB` A common COSName value.
`static COSName` | `CATALOG` A common COSName value.
`static COSName` | `CCITTFAX_DECODE` A common COSName value.
`static COSName` | `CCITTFAX_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `COLORSPACE` A common COSName value.
`static COSName` | `CONTENTS` A common COSName value.
`static COSName` | `COUNT` A common COSName value.
`static COSName` | `CROP_BOX` A common COSName value.
`static COSName` | `DCT_DECODE` A common COSName value.
`static COSName` | `DCT_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `DESCENDANT_FONTS` A common COSName value.
`static COSName` | `DEST` A common COSName value.
`static COSName` | `DEVICECMYK` A common COSName value.
`static COSName` | `DEVICEGRAY` A common COSName value.
`static COSName` | `DEVICEN` A common COSName value.
`static COSName` | `DEVICERGB` A common COSName value.
`static COSName` | `DIFFERENCES` A common COSName value.
`static COSName` | `DV` A common COSName value.
`static COSName` | `ENCODING` A common COSName value.
`static COSName` | `ENCODING_90MS_RKSJ_H` A common COSName value.
`static COSName` | `ENCODING_90MS_RKSJ_V` A common COSName value.
`static COSName` | `ENCODING_ETEN_B5_H` A common COSName value.
`static COSName` | `ENCODING_ETEN_B5_V` A common COSName value.
`static COSName` | `FIELDS` A common COSName value.
`static COSName` | `FILTER` A common COSName value.
`static COSName` | `FIRST_CHAR` A common COSName value.
`static COSName` | `FLATE_DECODE` A common COSName value.
`static COSName` | `FLATE_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `FONT` A common COSName value.
`static COSName` | `FONT_DESC` A common COSName value.
`static COSName` | `FONT_FILE` A common COSName value.
`static COSName` | `FONT_FILE2` A common COSName value.
`static COSName` | `FONT_FILE3` A common COSName value.
`static COSName` | `FONT_MATRIX` A common COSName value.
`static COSName` | `FORMTYPE` A common COSName value.
`static COSName` | `FRM` A common COSName value.
`static COSName` | `H` A common COSName value.
`static COSName` | `HEIGHT` A common COSName value.
`static COSName` | `ICCBASED` A common COSName value.
`static COSName` | `IDENTITY_H` A common COSName value.
`static COSName` | `IMAGE` A common COSName value.
`static COSName` | `INDEXED` A common COSName value.
`static COSName` | `INFO` A common COSName value.
`static COSName` | `JPX_DECODE` A common COSName value.
`static COSName` | `KIDS` A common COSName value.
`static COSName` | `LAB` A common COSName value.
`static COSName` | `LAST_CHAR` A common COSName value.
`static COSName` | `LENGTH` A common COSName value.
`static COSName` | `LENGTH1` A common COSName value.
`static COSName` | `LZW_DECODE` A common COSName value.
`static COSName` | `LZW_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `MAC_ROMAN_ENCODING` A common COSName value.
`static COSName` | `MATRIX` A common COSName value.
`static COSName` | `MEDIA_BOX` A common COSName value.
`static COSName` | `METADATA` A common COSName value.
`static COSName` | `N` A common COSName value.
`static COSName` | `NAME` A common COSName value.
`static byte[]` | `NAME_ESCAPE` The escape character for a name.
`static byte[]` | `NAME_PREFIX` The prefix to a PDF name.
`static COSName` | `P` A common COSName value.
`static COSName` | `PAGE` A common COSName value.
`static COSName` | `PAGES` A common COSName value.
`static COSName` | `PARENT` A common COSName value.
`static COSName` | `PATTERN` A common COSName value.
`static COSName` | `PDF_DOC_ENCODING` A common COSName value.
`static COSName` | `PREV` A common COSName value.
`static COSName` | `R` A common COSName value.
`static COSName` | `RESOURCES` A common COSName value.
`static COSName` | `ROOT` A common COSName value.
`static COSName` | `ROTATE` A common COSName value.
`static COSName` | `RUN_LENGTH_DECODE` A common COSName value.
`static COSName` | `RUN_LENGTH_DECODE_ABBREVIATION` A common COSName value.
`static COSName` | `SEPARATION` A common COSName value.
`static COSName` | `STANDARD_ENCODING` A common COSName value.
`static COSName` | `SUBTYPE` A common COSName value.
`static COSName` | `TO_UNICODE` A common COSName value.
`static COSName` | `TRIM_BOX` A common COSName value.
`static COSName` | `TRUE_TYPE` A common COSName value.
`static COSName` | `TYPE` A common COSName value.
`static COSName` | `TYPE0` A common COSName value.
`static COSName` | `V` A common COSName value.
`static COSName` | `VERSION` A common COSName value.
`static COSName` | `WIDTHS` A common COSName value.
`static COSName` | `WIN_ANSI_ENCODING` A common COSName value.
`static COSName` | `XOBJECT` A common COSName value.

Method Summary
`Object` | `accept(ICOSVisitor visitor)` visitor pattern double dispatch method.
`int` | `compareTo(Object o)`
`boolean` | `equals(Object o)`
`String` | `getName()` This will get the name of this COSName object.
`static COSName` | `getPDFName(String aName)` This will get a COSName object with that name.
`int` | `hashCode()`
`String` | `toString()`
`void` | `writePDF(OutputStream output)` This will output this string as a PDF object.

Methods inherited from class org.pdfbox.cos.COSBase
`getCOSObject, getFilterManager`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### A

    public static final COSName A

  A common COSName value.

### AA

    public static final COSName AA

  A common COSName value.

### ACRO_FORM

    public static final COSName ACRO_FORM

  A common COSName value.

### ANNOTS

    public static final COSName ANNOTS

  A common COSName value.

### ART_BOX

    public static final COSName ART_BOX

  A common COSName value.

### ASCII85_DECODE

    public static final COSName ASCII85_DECODE

  A common COSName value.

### ASCII85_DECODE_ABBREVIATION

    public static final COSName ASCII85_DECODE_ABBREVIATION

  A common COSName value.

### ASCII_HEX_DECODE

    public static final COSName ASCII_HEX_DECODE

  A common COSName value.

### ASCII_HEX_DECODE_ABBREVIATION

    public static final COSName ASCII_HEX_DECODE_ABBREVIATION

  A common COSName value.

### AP

    public static final COSName AP

  A common COSName value.

### B

    public static final COSName B

  A common COSName value.

### BASE_ENCODING

    public static final COSName BASE_ENCODING

  A common COSName value.

### BASE_FONT

    public static final COSName BASE_FONT

  A common COSName value.

### BBOX

    public static final COSName BBOX

  A common COSName value.

### BLEED_BOX

    public static final COSName BLEED_BOX

  A common COSName value.

### CATALOG

    public static final COSName CATALOG

  A common COSName value.

### CALGRAY

    public static final COSName CALGRAY

  A common COSName value.

### CALRGB

    public static final COSName CALRGB

  A common COSName value.

### CCITTFAX_DECODE

    public static final COSName CCITTFAX_DECODE

  A common COSName value.

### CCITTFAX_DECODE_ABBREVIATION

    public static final COSName CCITTFAX_DECODE_ABBREVIATION

  A common COSName value.

### COLORSPACE

    public static final COSName COLORSPACE

  A common COSName value.

### CONTENTS

    public static final COSName CONTENTS

  A common COSName value.

### COUNT

    public static final COSName COUNT

  A common COSName value.

### CROP_BOX

    public static final COSName CROP_BOX

  A common COSName value.

### DCT_DECODE

    public static final COSName DCT_DECODE

  A common COSName value.

### DCT_DECODE_ABBREVIATION

    public static final COSName DCT_DECODE_ABBREVIATION

  A common COSName value.

### DESCENDANT_FONTS

    public static final COSName DESCENDANT_FONTS

  A common COSName value.

### DEST

    public static final COSName DEST

  A common COSName value.

### DEVICECMYK

    public static final COSName DEVICECMYK

  A common COSName value.

### DEVICEGRAY

    public static final COSName DEVICEGRAY

  A common COSName value.

### DEVICEN

    public static final COSName DEVICEN

  A common COSName value.

### DEVICERGB

    public static final COSName DEVICERGB

  A common COSName value.

### DIFFERENCES

    public static final COSName DIFFERENCES

  A common COSName value.

### DV

    public static final COSName DV

  A common COSName value.

### ENCODING

    public static final COSName ENCODING

  A common COSName value.

### ENCODING_90MS_RKSJ_H

    public static final COSName ENCODING_90MS_RKSJ_H

  A common COSName value.

### ENCODING_90MS_RKSJ_V

    public static final COSName ENCODING_90MS_RKSJ_V

  A common COSName value.

### ENCODING_ETEN_B5_H

    public static final COSName ENCODING_ETEN_B5_H

  A common COSName value.

### ENCODING_ETEN_B5_V

    public static final COSName ENCODING_ETEN_B5_V

  A common COSName value.

### FIELDS

    public static final COSName FIELDS

  A common COSName value.

### FILTER

    public static final COSName FILTER

  A common COSName value.

### FIRST_CHAR

    public static final COSName FIRST_CHAR

  A common COSName value.

### FLATE_DECODE

    public static final COSName FLATE_DECODE

  A common COSName value.

### FLATE_DECODE_ABBREVIATION

    public static final COSName FLATE_DECODE_ABBREVIATION

  A common COSName value.

### FONT

    public static final COSName FONT

  A common COSName value.

### FONT_FILE

    public static final COSName FONT_FILE

  A common COSName value.

### FONT_FILE2

    public static final COSName FONT_FILE2

  A common COSName value.

### FONT_FILE3

    public static final COSName FONT_FILE3

  A common COSName value.

### FONT_DESC

    public static final COSName FONT_DESC

  A common COSName value.

### FONT_MATRIX

    public static final COSName FONT_MATRIX

  A common COSName value.

### FORMTYPE

    public static final COSName FORMTYPE

  A common COSName value.

### FRM

    public static final COSName FRM

  A common COSName value.

### H

    public static final COSName H

  A common COSName value.

### HEIGHT

    public static final COSName HEIGHT

  A common COSName value.

### ICCBASED

    public static final COSName ICCBASED

  A common COSName value.

### IDENTITY_H

    public static final COSName IDENTITY_H

  A common COSName value.

### IMAGE

    public static final COSName IMAGE

  A common COSName value.

### INDEXED

    public static final COSName INDEXED

  A common COSName value.

### INFO

    public static final COSName INFO

  A common COSName value.

### JPX_DECODE

    public static final COSName JPX_DECODE

  A common COSName value.

### KIDS

    public static final COSName KIDS

  A common COSName value.

### LAB

    public static final COSName LAB

  A common COSName value.

### LAST_CHAR

    public static final COSName LAST_CHAR

  A common COSName value.

### LENGTH

    public static final COSName LENGTH

  A common COSName value.

### LENGTH1

    public static final COSName LENGTH1

  A common COSName value.

### LZW_DECODE

    public static final COSName LZW_DECODE

  A common COSName value.

### LZW_DECODE_ABBREVIATION

    public static final COSName LZW_DECODE_ABBREVIATION

  A common COSName value.

### MAC_ROMAN_ENCODING

    public static final COSName MAC_ROMAN_ENCODING

  A common COSName value.

### MATRIX

    public static final COSName MATRIX

  A common COSName value.

### MEDIA_BOX

    public static final COSName MEDIA_BOX

  A common COSName value.

### METADATA

    public static final COSName METADATA

  A common COSName value.

### N

    public static final COSName N

  A common COSName value.

### NAME

    public static final COSName NAME

  A common COSName value.

### P

    public static final COSName P

  A common COSName value.

### PAGE

    public static final COSName PAGE

  A common COSName value.

### PAGES

    public static final COSName PAGES

  A common COSName value.

### PARENT

    public static final COSName PARENT

  A common COSName value.

### PATTERN

    public static final COSName PATTERN

  A common COSName value.

### PDF_DOC_ENCODING

    public static final COSName PDF_DOC_ENCODING

  A common COSName value.

### PREV

    public static final COSName PREV

  A common COSName value.

### R

    public static final COSName R

  A common COSName value.

### RESOURCES

    public static final COSName RESOURCES

  A common COSName value.

### ROOT

    public static final COSName ROOT

  A common COSName value.

### ROTATE

    public static final COSName ROTATE

  A common COSName value.

### RUN_LENGTH_DECODE

    public static final COSName RUN_LENGTH_DECODE

  A common COSName value.

### RUN_LENGTH_DECODE_ABBREVIATION

    public static final COSName RUN_LENGTH_DECODE_ABBREVIATION

  A common COSName value.

### SEPARATION

    public static final COSName SEPARATION

  A common COSName value.

### STANDARD_ENCODING

    public static final COSName STANDARD_ENCODING

  A common COSName value.

### SUBTYPE

    public static final COSName SUBTYPE

  A common COSName value.

### TRIM_BOX

    public static final COSName TRIM_BOX

  A common COSName value.

### TRUE_TYPE

    public static final COSName TRUE_TYPE

  A common COSName value.

### TO_UNICODE

    public static final COSName TO_UNICODE

  A common COSName value.

### TYPE

    public static final COSName TYPE

  A common COSName value.

### TYPE0

    public static final COSName TYPE0

  A common COSName value.

### V

    public static final COSName V

  A common COSName value.

### VERSION

    public static final COSName VERSION

  A common COSName value.

### WIDTHS

    public static final COSName WIDTHS

  A common COSName value.

### WIN_ANSI_ENCODING

    public static final COSName WIN_ANSI_ENCODING

  A common COSName value.

### XOBJECT

    public static final COSName XOBJECT

  A common COSName value.

### NAME_PREFIX

    public static final byte[] NAME_PREFIX

  The prefix to a PDF name.

### NAME_ESCAPE

    public static final byte[] NAME_ESCAPE

  The escape character for a name.

Method Detail

### getPDFName

    public static final COSName getPDFName(String aName)

  This will get a COSName object with that name.

  Parameters:
    `aName` - The name of the object.
  Returns:
    A COSName with the specified name.

### getName

    public String getName()

  This will get the name of this COSName object.

  Returns:
    The name of the object.

### toString

    public String toString()

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### accept

    public Object accept(ICOSVisitor visitor)
                  throws COSVisitorException

  visitor pattern double dispatch method.

  Specified by:
    `accept` in class `COSBase`
  Parameters:
    `visitor` - The object to notify when visiting this object.
  Returns:
    any object, depending on the visitor implementation, or null
  Throws:
    `COSVisitorException` - If an error occurs while visiting this object.

### writePDF

    public void writePDF(OutputStream output)
                  throws IOException

  This will output this string as a PDF object.

  Parameters:
    `output` - The stream to write to.
  Throws:
    `IOException` - If there is an error writing to the stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD